#include <stdint.h>

void clear_fs_handles();

typedef uint8_t fs_handle;
fs_handle fs_open(uint8_t *path);
int16_t fs_seek(fs_handle handle, int16_t by);
uint16_t fs_read(fs_handle handle, uint16_t max, void *buffer);
uint16_t fs_write(fs_handle handle, uint16_t max, void *buffer);
void fs_close(fs_handle handle);